Bug 441658

Summary: Fix NM to start early enough so other things can work
Product: [Fedora] Fedora Reporter: Dave Mack <davidwmack>
Component: initscriptsAssignee: Bill Nottingham <notting>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: rawhideCC: dcbw, derrien, k.georgiou, rvokal, splewako
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: NetworkManager-0.7.0-0.9.3.svn3623.fc9.x86_64 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-01 13:10:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235706    

Description Dave Mack 2008-04-09 07:45:43 EDT
Description of problem:
During boot, the network init script is not called so eth0 is still down when
the system tries to start ypbind. Enabling the network init via chkconfig and
rebooting solves this problem.

Version-Release number of selected component (if applicable):
initscripts-8.68-1

How reproducible:
Always.

Steps to Reproduce:
1. Kickstart install current rawhide tree with NIS enabled

  
Actual results:
After boot, ypbind is not running even though the network is up. Inspection of
the log file shows that eth0 had not been inited at the time when ypbind was
started (it was started later by NetworkManager). Running "chkconfig network on"
and rebooting solves this problem.

Expected results:
The network is enabled early enough in the boot process for ypbind to run.

Additional info:
Comment 1 Bill Nottingham 2008-04-17 15:27:56 EDT
OK, with the combination of:

hal-0.5.11-0.6.rc2.fc9
NetworkManager-0.7.0-0.9.2.svn3566.fc9

NetworkManager *should* be started earlier for apps to use. Moreover, loopback
is now brought up so that apps can bind even if the final network isn't there.

If you need to wait for NM to fully configure DHCP on boot before proceeding,
please:

1) set NETWORKWAIT in /etc/sysconfig/network
2) file a bug about the application in question, so we can get it fixed
(after all, the network can come and go at any time)

Note: when upgrading to the new hal & NM, you may need to run:
/sbin/chkconfig haldaemon resetpriorities
/sbin/chkconfig NetworkManager resetpriorities

to have the new priorities take effect.
Comment 2 derrien 2008-04-25 03:54:48 EDT
And NetworkManagerDispatcher ? NetworkManagerDispatcher must be started before
NetworkManager if you want the /etc/NetworkManager/dispatcher.d scripts to be
executed with NETWORKWAIT
Comment 3 Bill Nottingham 2008-04-25 13:13:31 EDT
CC'ing dcbw.
Comment 4 Bill Nottingham 2008-05-01 13:10:50 EDT
This should be fixed now.